## org.gnu.gdk
Class OverlapType

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gdk.OverlapType

public class OverlapType
extends Enum

Field Summary
`static OverlapType` `IN`
`static OverlapType` `OUT`
`static OverlapType` `PART`

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`OverlapType` `and(OverlapType other)`
`static OverlapType` `intern(int value)`
`OverlapType` `or(OverlapType other)`
`boolean` `test(OverlapType other)`
`OverlapType` `xor(OverlapType other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IN

    public static final OverlapType IN

### OUT

    public static final OverlapType OUT

### PART

    public static final OverlapType PART

Method Detail

### intern

    public static OverlapType intern(int value)

### or

    public OverlapType or(OverlapType other)

### and

    public OverlapType and(OverlapType other)

### xor

    public OverlapType xor(OverlapType other)

### test

    public boolean test(OverlapType other)